pages:
    stage: deploy
    script: 
    - mkdir .public
    - cp -r ./bin/* .public
    - mv .public public
    
    artifacts:
        paths:
        - public
        
    only:
        changes:
        - bin/*
        refs:
        - master